version: "3.9"

services:
  db:
    image: mariadb
    container_name: "{{ service_cfg.name }}_db"
    restart: always
    environment:
      - MYSQL_ROOT_PASSWORD={{ service_cfg.db.root_password }}
      - MYSQL_DATABASE={{ service_cfg.db.name }}
      - MYSQL_USER={{ service_cfg.db.username }}
      - MYSQL_PASSWORD={{ service_cfg.db.password }}
    volumes:
      - "{{ service_cfg.directory }}/db:/var/lib/mysql:rw"
    labels:
      - "com.centurylinklabs.watchtower.enable=true"

  redis:
    container_name: "{{ service_cfg.name }}_redis"
    image: redis:alpine
    restart: always
    labels:
      - "com.centurylinklabs.watchtower.enable=true"

  drupal:
    image: drupal:10.2-php8.3-fpm-alpine
    container_name: "{{ service_cfg.name }}_drupal"
    restart: always
    environment:
      - DRUPAL_DB_HOST={{ service_cfg.name }}_db:3306
      - DRUPAL_DB_USER={{ service_cfg.db.username }}
      - DRUPAL_DB_PASSWORD={{ service_cfg.db.password }}
      - DRUPAL_DB_NAME={{ service_cfg.db.name }}
    volumes:
      - "{{ service_cfg.directory }}/drupal:/var/www/html"
      - "{{ service_cfg.directory }}/sites/default:/var/www/html/sites/default"
      - "{{ service_cfg.directory }}/php.ini:/usr/local/etc/php/conf.d/php.ini:ro"
    labels:
      - "com.centurylinklabs.watchtower.enable=true"
    depends_on:
      - db

  nginx:
    image: nginx:alpine
    container_name: "{{ service_cfg.name }}_nginx"
    restart: always
    volumes:
      - "{{ service_cfg.directory }}/nginx.conf:/etc/nginx/conf.d/default.conf:ro"
      - "{{ service_cfg.directory }}/drupal:/var/www/html:ro"
    depends_on:
      - db
      - drupal
    labels: *base_labels
    networks: *base_networks
